GET
/distribution/{name}/json Return image digest and platform information by contacting the registry.
Connection and access
API connection and authentication guidance
/v1.57
No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.
Parameters
name
path
Required
Image name or id
Type:
string
All schema constraints and annotations
{
"type": "string"
}Request and responses
Response
200
descriptor and platform information
application/json
Schema:
DistributionInspect
Response
401
Failed authentication or no image found
application/json
Schema:
ErrorResponse
Example
{
"message": "No such image: someimage (tag: latest)"
}Response
500
Server error
application/json
Schema:
ErrorResponse
Schema example
{
"message": "Something went wrong."
}Referenced schemas
#/components/schemas/DistributionInspect
#/components/schemas/ErrorResponse
Complete operation contract
{
"description": "Return image digest and platform information by contacting the registry.\n",
"operationId": "DistributionInspect",
"parameters": [
{
"description": "Image name or id",
"in": "path",
"name": "name",
"required": true,
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/DistributionInspect"
}
}
},
"description": "descriptor and platform information"
},
"401": {
"content": {
"application/json": {
"example": {
"message": "No such image: someimage (tag: latest)"
},
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Failed authentication or no image found"
},
"500": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Server error"
}
},
"summary": "Get image information from the registry",
"tags": [
"Distribution"
]
}